#include "BtrfsSystem.h"
#include "utils/Device.h"


bool BtrfsSystem::supported(FSTabInfoList &fsTabInfoList)
{
    bool support = false;
    // TODO
    return support;
}

QString BtrfsSystem::getDefaultBackupDeviceUUID(const QString &rootPath)
{
    return m_defaultBackupDeviceUUID;
}

ErrorCode BtrfsSystem::systemBackup(const SystemBackupRequest &request)
{
    return InvalidDirectory;
}

ErrorCode BtrfsSystem::systemRestore(const SystemRestoreRequest &request)
{
    return InvalidDirectory;
}

ErrorCode BtrfsSystem::createUImg(const QString &backupDir)
{
    return InvalidDirectory;
}

BackupInfoList BtrfsSystem::listSystemBackup(QStringList &destUUIDs)
{
    BackupInfoList backupInfoList;
    return backupInfoList;
}

ErrorCode BtrfsSystem::removeSystemBackup(const RemoveUserDataBackupRequest &request)
{
    return OK;
}

ErrorCode BtrfsSystem::checkFullSystemBackupSpace(SystemBackupRequest &request)
{
    // TODO
    return OK;
}

ErrorCode BtrfsSystem::checkIncSystemBackupSpace(const SystemBackupRequest &request)
{
    // TODO
    return OK;
}
